Subject: Re: git pack/unpack over bittorrent - works!

From: A Large Angry SCM <[email-masked]>
Date: Thu, 02 Sep 2010 15:52:02 -0400

On 09/02/2010 03:41 PM, Luke Kenneth Casson Leighton wrote:

[...]

>   neeh, i'm flexible.  it looks like i'm going to need to deviate from
> bittorrent, after all, start adding new commands over which the git
> rev-list gets transferred, rather than as a VFS layer.  the reason is
> that bittorrent depends on the files and the data in the files being
> all the same, so that a hash can be taken of the whole lot and the
> end-result verified.
>
>   if the pack-objects are going to vary, then the VFS layer idea is
> blown completely out the water, except for the absolute basic
> meta-info such as "refs/heads/*".  so i might as well just use
> "actual" bittorrent to transfer packs via
> {ref}-{commitref}-{SHA-1}.torrent.
>
> ho hum, drawing board we come...

You can treat the git object store (both loose and packed objects) as a 
VFS and use the refs of interest (the I-needs and the I-haves) to create 
a view...